Ubuntu mysql 8.0+安装
=====================

#### 1、下载MySQL配置文件，网址：https://dev.mysql.com/downloads/repo/apt/

##### 打开后将下拉到网页底部点击Download按钮下载deb文件

##### 进入下载页面，选择No thanks, just start my download

#### 2、进入下载文件目录，打开终端，执行命令

```bash
sudo dpkg -i <下载的deb文件>
```

#### 3、接下来会弹出一个界面 设置好之后 选中ok按钮，击Enter键进入下一步

##### 第一行 currently selected：mysql-8.0

##### 第二行 currently selected：Enabled

##### 第三行 默认

#### 4、执行更新命令

```bash
sudo apt update
```

#### 5、开始安装MySQL 8.0，执行命令

```
sudo apt install mysql-server
```

#### 6、接下来选择y继续

#### 7、设置root密码

#### 8、确认密码

#### 9、阅读配置MySQ社区服务器，翻到末尾点使用Tab键选中ok按钮，击Enter键

#### 10、加密方式选择Retain MySQL 5.x Compatibility

#### 11、完成

#### 启动mysql数据库

1、使用 service 启动：service mysql start
2、使用 mysqld 脚本启动：/etc/inint.d/mysql start
3、使用 safe\_mysqld 启动：safe\_mysql&

#### 设置远程连接

##### 1.登录mysql

`mysql -uroot -p`

##### 2.切换到mysql数据库

`use mysql;`

##### 3.修改host值（所有地址都可以连接）

`update user set host="%" where user="root";`

##### 4.刷新列表使其生效

`flush privileges;`

#### 重启

1、使用 service 启动：service mysql restart

2、使用 mysqld 脚本启动：/etc/inint.d/mysql restart

#### 关闭

1、使用 service 启动：service mysql stop

2、使用 mysqld 脚本启动：/etc/inint.d/mysql stop

3、 mysqladmin shutdown

#### 删除 MySQL

```bash
sudo apt-get autoremove mysql-server
```

#### 清理残留数据

```bash
dpkg -l |grep ^rc|awk '{print $2}' |sudo xargs dpkg -P
```