### 一、为root账户设置ssh密钥登录
**1、进入 root 用户，进入 / root**

```shell
su root

cd /root
```

**2、新建文件夹**

`mkdir /root/.ssh`

**3、生成密钥，密钥会自动保存在 / root/.ssh 目录里。**

`ssh-keygen -t rsa`

再连摁三下回车

**4、进入. ssh 文件夹，里面有两个文件，id_rsa 是私钥，需要自己下载到本地，id_rsa.pub 是公钥，该名成 authorizedkeys**

```shell
cd /root/.ssh

mv id_rsa.pub authorized_kyes
```

**5、设置文件和文件夹权限**

```shell
chmod 600 /root/.ssh/authorized_keys

chmod 700 /root/.ssh
```

**6、修改 / etc/ssh/sshd_config 文件，并重启服务**

`vim /etc/ssh/sshd_config`

修改下面两项

```
PasswordAuthentication: no // 禁止使用基于口令认证的方式登陆  
PubkeyAuthentication: yes // 允许使用基于密钥认证的方式登陆
```

重启ssh服务使配置生效
`service sshd restart`

之后登录时选择密钥（Publickey）登录，导入生成的私钥id_rsa。
### 二、为普通账户设置ssh密钥登录
在要设置的账户目录下进行上面的2-6操作 例：cd /home/user
